/*CSS Reset*/
*,
*::before,
*::after {
    margin: 0;
    padding: 0;
    border: 0;
    box-sizing: border-box;
}

html,
body {
    height: 100vh;
    width: 100vw;
    color: var(--text-color);
    font-family: "Ruda", sans-serif;
}

body {
    display: grid;
    grid-template-rows: auto 1fr auto;
    place-items: center;
}

main,
header,
footer,
aside {
    line-height: normal;
    width: 100%;
}


/* Set base font properties */
:root {
    font-size: 72px;

    /* Fonts */
    --font-header: "Ruda", sans-serif;
    --font-header-weight: 600;
    --font-header-style: normal;

    --font-paragraph: "Ruda", sans-serif;
    --font-paragraph-weight: 400;
    --font-paragraph-style: normal;

    /*--------------------------------------------------*/
    /* Colors */
    --text-color: rgb(27, 27, 27);
    --background-color: hsl(191, 94%, 95%);
}

h1 {
    /*font-size: 2em;*/
    font-family: var(--font-header);
    font-weight: var(--font-header-weight);
    font-style: var(--font-header-style);
    color: var(--text-color);
}

h2 {
    font-size: 1.2em;
    font-family: var(--font-header);
    font-weight: var(--font-header-weight);
    font-style: var(--font-header-style);
    color: var(--text-color);
}

p {
    font-size: 1rem;
    font-family: var(--font-paragraph);
    font-weight: var(--font-paragraph-weight);
    font-style: var(--font-paragraph-style);
    color: var(--text-color);
}


.clock-wrapper {
    container-type: inline-size;
    display: flex;
    flex-direction: row;
    width: 100%;
    padding: 7cqw;
    justify-content: center;
    align-items: center;
}

.clock-colon,
.clock-number {
    display: flex;
    text-align: center;
    justify-content: center;
    width: 100%;
    height: 100%;
}

footer {
    padding: 0;
    margin: 0;
    align-self: end;
    position: relative;
}


.clock-colon>h1 {
    font-size: 20cqw;
    width: 7cqw;
}

.clock-number>h1 {
    font-size: 20cqw;
    width: 12cqw;
}

.week-num {
    position: absolute;
    top: 5%;
    right: 10%;
    font-size: 120px;
    color: rgba(50, 53, 110, 0.342);
}

.day-text {
    position: absolute;
    bottom: 10%;
    left: 10%;
    font-size: 120px;
    color: rgba(50, 53, 110, 0.342);
}

.date-text {
    position: absolute;
    bottom: 10%;
    right: 10%;
    font-size: 120px;
    color: rgba(50, 53, 110, 0.342);
}

.undervisning-text {
    position: absolute;
    top: 5%;
    left: 10%;
    font-size: 120px;
    color: rgb(201, 52, 52);
}

.vær-frame {
    width: 100vw;
}

main {
    width: 100vw;
    height: 100%;
    padding: 5%;
    align-content: center;
}

.poster-wrapper {
    width: 100%;
    aspect-ratio: 16 / 10;
    padding: 5%;
    border: 2px solid black;
}

.poster-content {
    width: 100%;
    height: 100%;
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 10%;
    align-content: center;
}

